cdac.medinfo.sdk.hl7282.commoninterface

## Interface IDelimiter

-     public interface IDelimiter

  Defines all the methods for Delimiters. Delimiters are required for identifying DataType Components, Subcomponents.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getComponentSeparator()` Retrieves Component Separator.
    `char` | `getEscapeCharacter()` Retrieves Escape character.
    `char` | `getFieldSeparator()` Retrieves field separator.
    `char` | `getRepetitionSeparator()` Retrieves Repetition separator.
    `char` | `getSubComponentSeparator()` Retrieves sub-component separator.
    `char` | `getTruncationCharacter()` Retrieves truncation Character.
    `int` | `readDelimiters(java.lang.String strEncodingChars)` Read delimiters from string.
    `int` | `writeDelimiters(IHL7Stream objIHL7Stream)` Writes the Encoding characters field.

- - ### Method Detail

    - #### getComponentSeparator

          char getComponentSeparator()

      Retrieves Component Separator.
      Returns:
        char - ComponentSeparator

    - #### getEscapeCharacter

          char getEscapeCharacter()

      Retrieves Escape character.
      Returns:
        char - EscapeSeparator

    - #### getFieldSeparator

          char getFieldSeparator()

      Retrieves field separator.
      Returns:
        char - FieldSeparator

    - #### getRepetitionSeparator

          char getRepetitionSeparator()

      Retrieves Repetition separator.
      Returns:
        char - RepetitionSeparator

    - #### getSubComponentSeparator

          char getSubComponentSeparator()

      Retrieves sub-component separator.
      Returns:
        char - SubComponentSeparator

    - #### getTruncationCharacter

          char getTruncationCharacter()

      Retrieves truncation Character.
      Returns:
        char - TruncationCharacter

    - #### writeDelimiters

          int writeDelimiters(IHL7Stream objIHL7Stream)
                              throws java.io.IOException

      Writes the Encoding characters field. This field contains the four characters in the following order: the component separator, repetition separator, escape character, and subcomponent separator.
      Parameters:
        `objIHL7Stream` - Object of HL7Stream.
      Returns:
        int - Success / Fail
      Throws:
        `java.io.IOException`

    - #### readDelimiters

          int readDelimiters(java.lang.String strEncodingChars)

      Read delimiters from string.
      Parameters:
        `strEncodingChars` - String of encoding characters
      Returns:
        int - Fail if delimiters are not valid - Number of characters read